#include "zelda.h"
#include "timer.h"

void Clock();
void FrameTimer();
void Clock()
{
  clock++;
}END_OF_FUNCTION(Clock);
void FrameTimer()
{
  if(++frameTimer>1)
   frameTimer=0;
}END_OF_FUNCTION(FrameTimer);


void InstallTimer()
{
  install_timer();
  LOCK_FUNCTION(Clock);
  LOCK_VARIABLE(clock);
  LOCK_FUNCTION(FrameTimer);
  LOCK_VARIABLE(frameTimer);
  install_int_ex(FrameTimer,MSEC_TO_TIMER(350));
  ResetClock();
}
void RemoveTimer()
{
  remove_int(FrameTimer);
  remove_int(Clock);
  remove_timer();
}

void StartClock()
{
  install_int_ex(Clock,MSEC_TO_TIMER(500));
}
void StopClock()
{
  remove_int(Clock);
}

void ResetClock()
{
  clock=0;
}

